<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description    Ventana donde se ingresan los datos para modificar o crear
                una adición relacionada con un contrato.	        
                        
@cu 			CU-SA-AC-89

-->
<!--
OJO:
el atributo popupIconOnly de los p:calendar no aparece en la definición de los tags de primefaces 3.2, pero en el manual sí aparece y 
parece que sí funciona en la interfaz
-->

<h:form id="edicionAdicionesContratoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui" >

    <p:spacer width="5" />

    <p:fieldset>

        <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
                type="text/javascript" />

        <p:messages id="msgsModificarAdicionContrato" showDetail="false"
                    globalOnly="false" />

        <h:panelGrid columns="2" cellspacing="7" width="100%" >

            <h:outputLabel value="Número adición" styleClass="outputLabelStyle" />
            <h:inputText
                value="#{administracionAdicionesContrato.adicionSelecionada.numero}"
                disabled="true" />

            <h:panelGroup>
                <h:outputLabel value="Valor adición" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="valorAdicion" label="Valor adición"
                             value="#{administracionAdicionesContrato.adicionSelecionada.valor}"
                             required="true">
                    <f:validateDoubleRange minimum="1.0" for="valorAdicion" />
                    <f:converter converterId="converterMoneda" for="valorAdicion" />
                    <p:ajax event="blur" 
                            onstart="aplicarFormatoMoneda('edicionAdicionesContratoForm:valorAdicion',true);" />
                    <p:ajax event="focus" 
                            onstart="aplicarFormatoMoneda('edicionAdicionesContratoForm:valorAdicion',false);" />
                </h:inputText>
                <p:message for="valorAdicion" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Fecha fin adición" 
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <p:calendar id="fechaFinAdicion" 
                            navigator="true"
                            value="#{administracionAdicionesContrato.adicionSelecionada.fechaFin}"
                            label="Fecha de la socialización" pattern="dd/MM/yyyy"
                            showOn="both" title="#{general.formatoFechaUsuario}" tabindex="0"
                            effect="slideDown" size="12" 
                            mindate="#{administracionAdicionesContrato.contrato.fechaFin}" />
                <p:message for="fechaFinAdicion" display="icon" />
            </h:panelGrid>

        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7" width="100%">
        <p:commandButton value="Aceptar" icon="ui-icon ui-icon-check"
                         update=":edicionAdicionesContratoForm"
                         oncomplete="handleCompleteSIC(xhr, status, args, confirmacionCreacionWV, true);
                         handleCompleteSIC(xhr, status, args, agregarModificarAdicionesWV, false);" />
    </h:panelGrid>

</h:form>

